Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228537 - Review Request: perl-IO-Compress-Base - Base package for new perl-IO-Compress modules
Summary: Review Request: perl-IO-Compress-Base - Base package for new perl-IO-Compress...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jose Pedro Oliveira
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-ACCEPT 226246 232703
TreeView+ depends on / blocked
 
Reported: 2007-02-13 17:24 UTC by Robin Norwood
Modified: 2007-11-30 22:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-12 18:06:23 UTC
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Robin Norwood 2007-02-13 17:24:48 UTC
Spec URL: http://people.redhat.com/rnorwood/rpms/perl-IO-Compress-Base.spec
SRPM URL: http://people.redhat.com/rnorwood/rpms/perl-IO-Compress-Base-2.003-1.src.rpm
Description: perl-IO-Compress-Base is the new base package for the various IO::Compress module.  The latest version of packages such as perl-Compress-Zlib requires this package.

Comment 1 Jose Pedro Oliveira 2007-02-18 21:28:47 UTC
APPROVED

MD5SUMS:
98971ee00adfe5c0f2d1e730066ba9c0  perl-IO-Compress-Base-2.003-1.src.rpm

7927ee59cc3c16609397be1d7d32ba01  IO-Compress-Base-2.003.tar.gz
0f5fd8ee458daa4792f509d2dce2ea53  perl-IO-Compress-Base.spec

Sources:
* IO-Compress-Base-2.003.tar.gz: MD5 digest verified against CPAN tarball
(<cpan>/authors/id/P/PM/PMQS/IO-Compress-Base-2.003.tar.gz)

Good:
* Package name follows standard
* URL and Source0 urls are valid
* License verified (README file and main POD page)
* perl(:MODULE_COMPAT_xxx) present
* perl vendor libs present
* File permissions are sane
* No active tickets in
  http://rt.cpan.org/Public/Dist/Display.html?Name=IO-Compress-Base


Notes/Suggestions:

* %files section
  replace
    %{perl_vendorlib}/*
  by
    P%{perl_vendorlib}/File/
    %{perl_vendorlib}/IO/
  and (maybe)
    %{_mandir}/man3/*
  by
    %{_mandir}/man3/*.3pm*

* build requirements
  add the following comments
    #BuildRequires:  perl(Test::Pod)
    #BuildRequires:  perl(Test::NoWarnings)

  Both these modules are available in Extras, but I still
  don't know when the building system will be able to pull
  Extras packages.

* Warning: IO::Compress::Base will be a perl 5.10 core module.


Comment 2 Chris Weyl 2007-03-17 05:23:36 UTC
Silly question, perhaps:  is there a reason this bug's "product" is core, not
extras?

Comment 3 Jose Pedro Oliveira 2007-03-17 14:24:21 UTC
(In reply to comment #2)
> Silly question, perhaps:  is there a reason this bug's "product" is core, not
> extras?

The update of the core package perl-Compress-Zlib from version 1.42 to version
2.00x will require several new modules (perl-IO-Compress-Base being one of them).

jpo

Comment 4 Steven Pritchard 2007-03-17 15:15:38 UTC
I'm going to need this for IO::Compress::Bzip2, which is required by the next 
version of cpanspec.

Unfortunately, the version I submitted as bug 232703 requires 
IO::Compress::Base >= 2.004.  Would you mind bumping the version of this?

Oh, and if the IO::Compress::Base package I submitted in bug 232678 is any 
help, please use it.  (Apparently I missed this when I was searching for 
duplicates because it is a Core review, not an Extras review.)

Comment 5 Robin Norwood 2007-03-21 17:17:38 UTC
ok, I've bumped the version to 2.004, incorporated the changes from comment #1,
and stole some of Steven's %description text from bug #232678

See:

http://people.redhat.com/rnorwood/rpms/perl-IO-Compress-Base-2.004-1.src.rpm
and:
http://people.redhat.com/rnorwood/rpms/perl-IO-Compress-Base.spec

How's that?

Comment 6 Ralf Corsepius 2007-03-22 04:26:30 UTC
Missing: BuildRequires: perl(ExtUtils::MakeMaker)


Comment 7 Robin Norwood 2007-06-05 18:52:13 UTC
Finally revisiting this - Added the missing BuildRequires pointed out by Ralf:

http://people.redhat.com/rnorwood/rpms/perl-IO-Compress-Base-2.004-1.src.rpm
http://people.redhat.com/rnorwood/rpms/perl-IO-Compress-Base.spec

Putting the review flag back to '?' for jpo to re-approve with this change.

Comment 8 Robin Norwood 2007-06-06 22:09:21 UTC
There are 5 compression-related packages needed for a new Compress::Zlib
(2.004), including this one.  Here are the bugzilla URLs for them:

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=228537 - perl-IO-Compress-Base
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=243010 -
perl-Compress-Raw-Bzip2
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=243012 - perl-Compress-Raw-Zlib
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=243016 - perl-IO-Compress-Bzip2
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=243019 - perl-IO-Compress-Zlib

Comment 10 Jason Tibbitts 2007-06-08 21:47:34 UTC
Hmm, this is holding up other packages.  Since jpo has already approved this,
I'll give it a quick once over.
...
Builds fine in rawhide.  The build dependencies seem OK to me; the tests are all
run save for just one which doesn't seem related to missing build dependencies:
  t/000prereq.....ok
  t/01misc........ok
        1/79 skipped: readonly + threads
  t/99pod.........ok
  t/globmapper....ok
  All tests successful, 1 subtest skipped.
  Files=4, Tests=155,  0 wallclock secs ( 0.26 cusr +  0.06 csys =  0.32 CPU)

So I think everything's fine here, and I'll go ahead and set fedora-review back
to '+'.

Comment 11 Robin Norwood 2007-06-11 19:07:10 UTC
New Package CVS Request
=======================
Package Name: perl-IO-Compress-Base
Short Description: Base package for new perl-IO-Compress modules
Owners: rnorwood@redhat.com
Branches: devel
InitialCC: fedora-perl-devel-list@redhat.com

Comment 12 Kevin Fenzi 2007-06-11 23:20:10 UTC
cvs done.

Comment 13 Robin Norwood 2007-06-12 18:06:23 UTC
And built for devel/f8


Note You need to log in before you can comment on or make changes to this bug.